Earth Engine 将推出
非商业配额层级,以保护共享计算资源并确保为所有人提供可靠的性能。所有非商业项目都需要在
2026 年 4 月 27 日之前选择配额层级,否则系统会默认使用 Community 层级。层级配额将于
2026 年 4 月 27 日对所有项目生效(无论层级选择日期如何)。
了解详情。
Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: projects.videoThumbnails.create
使用集合让一切井井有条
根据您的偏好保存内容并对其进行分类。
创建一个 ID,用于渲染包含来自合集的多张图片的动画的图片。
此属性与 videoThumbnails.getPixels 结合使用。调用 videoThumbnails.create 会提供一个表达式和一些输出选项。videoThumbnails.create 的结果是一个 ID,表示在对该表达式求值并应用这些选项后得到的图片。随后,可以调用 videoThumbnails.getPixels 来获取一张图片,其中显示了 ImageCollection 的所有元素,并以动画形式从第一个元素到最后一个元素显示。该 ID 的有效期为中等时间(几小时)。
请求的总大小限制为 ImageCollection 中的所有图片的 512*512*100 像素。超出这些限制的请求将导致错误代码为 400 (BAD_REQUEST)。
HTTP 请求
POST https://earthengine.googleapis.com/v1/{parent=projects/*}/videoThumbnails
网址采用 gRPC 转码语法。
路径参数
| 参数 |
parent |
string
必需。将在其中创建视频缩略图的位置的父级(例如“projects/*”)。
必须对指定的资源 parent 具有以下 IAM 权限才能进行授权:
earthengine.videothumbnails.create
|
查询参数
| 参数 |
workloadTag |
string
用户提供的用于跟踪此计算的代码。
|
请求正文
请求正文包含一个 VideoThumbnail 实例。
响应正文
如果成功,响应正文将包含一个新创建的 VideoThumbnail 实例。
授权范围
需要以下 OAuth 范围之一:
https://www.googleapis.com/auth/earthengine
https://www.googleapis.com/auth/earthengine.readonly
https://www.googleapis.com/auth/cloud-platform
https://www.googleapis.com/auth/cloud-platform.read-only
如需了解详情,请参阅 OAuth 2.0 Overview。
如未另行说明,那么本页面中的内容已根据知识共享署名 4.0 许可获得了许可,并且代码示例已根据 Apache 2.0 许可获得了许可。有关详情,请参阅 Google 开发者网站政策。Java 是 Oracle 和/或其关联公司的注册商标。
最后更新时间 (UTC):2025-07-25。
[null,null,["最后更新时间 (UTC):2025-07-25。"],[],["The `videoThumbnails.create` function generates an ID for an animated image from an ImageCollection. This ID represents the evaluated expression and output options. `videoThumbnails.getPixels` can then retrieve the animated image, showcasing each element of the ImageCollection sequentially. The request is limited to 512\\*512\\*100 pixels. A POST request to `https://earthengine.googleapis.com/v1/{parent=projects/*}/videoThumbnails` with a `VideoThumbnail` instance in the request body is needed. A valid OAuth scope and the `earthengine.videothumbnails.create` IAM permission are required.\n"]]